Name:           xfce4-hamster-plugin
Version:        1.6.1
Release:        2%{?dist}
Summary:        Time tracker port of the 'hamster project extension' for the xfce4 panel

License:        GPLv2+
URL:            https://github.com/projecthamster/%{name}
#Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  xfce4-panel-devel xfconf-devel
BuildRequires:  intltool libtool gettext
BuildRequires:  libxfce4ui-devel

Requires:       hamster-time-tracker

%description
This is a recreation of the gnome-shell hamster extension
as a xfce4 panel plugin.
See also the hamster project: <https://github.com/projecthamster>

%prep
%setup -qn %{name}-%{version}
sh autogen.sh


%build
%configure --with-icon_name=hamster-time-tracker --enable-debug=yes --enable-debug_trace=yes
make %{?_smp_mflags}


%install
%make_install
%find_lang %{name}
# la file is not needed, see https://github.com/projecthamster/xfce4-hamster-plugin/issues/12
rm %{buildroot}%{_libdir}/xfce4/panel/plugins/libhamster.la
libtool --finish %{buildroot}%{_libdir}/xfce4/panel/plugins


%files -f %{name}.lang
%license COPYING
%doc README* ChangeLog AUTHORS ABOUT-NLS NEWS
%{_bindir}/xfce4-popup-hamstermenu
%{_libdir}/xfce4/panel/plugins/libhamster.so
%{_datadir}/xfce4/panel/plugins/hamster.desktop


%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Mar 07 2015 Raphael Groner <projects.rg@smart.ms> - 1.6.1-1
- v1.6.1

* Fri Mar 06 2015 Raphael Groner <projects.rg@smart.ms> - 1.6-5
- add spanish translations
- remove obsolete comments at closed upstream issues
- remove some ridiculous globals and use shortifying URL macro

* Sun Mar 01 2015 Raphael Groner <projects.rg@smart.ms> - 1.6-4
- bump again due to wrong Release logic in f22

* Sun Mar 01 2015 Raphael Groner <projects.rg@smart.ms> - 1.6-3
- bump and rebuild for xfce 4.12

* Wed Jan 28 2015 Raphael Groner <projects.rg (AT) smart.ms> - 1.6-2
- introduce license macro

* Sat Nov 22 2014 Raphael Groner <projects.rg [AT] smart.ms> - 1.6-1
- v1.6
- remove upstreamed patch

* Fri Nov 14 2014 Raphael Groner <projects.rg [AT] smart.ms> - 1.5-2
- fix icon
- fix libxfcegui4 deprecation

* Sun Nov 02 2014 Raphael Groner <projects.rg [AT] smart.ms> - 1.5-1
- rebuilt for SCM
- new upstream release 1.5

* Wed Oct 29 2014 Raphael Groner <projects.rg [AT] smart.ms> - 1.4-0.2
- proper usage of find_lang macro
- new upstream release 1.4: new binary file, desktop file icon

* Thu Oct 09 2014 Raphael Groner <projects.rg [AT] smart.ms> - 1.2-0.1
- initial
